package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.CollectionManagement;
import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 收款管理 服务类
 * </p>
 *
 * @author Gongdc
 * @since 2021-08-06
 */
public interface ICollectionManagementService extends IService<CollectionManagement> {
    /**
     * 收款列表查询
     *
     * @param collectionManagement
     * @return
     */
    Page<CollectionManagement> selectCollectionInfo(CollectionManagement collectionManagement);
    /**
     * 派发
     * @param collectionManagement
     */
    String distribute(CollectionManagement collectionManagement);

    /**
     * 删除
     * @param id
     */
    void deleteCar(String id);
    /**
     * 编辑
     * @param collectionManagement
     */
    String editInfo(CollectionManagement collectionManagement);

    /**
     * 查看
     * @param
     */
    CollectionManagement getInfo(String id);
}
